document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_1400
--- +++ @@ -21,7 +21,7 @@ # Next, fetch just the update packages we're interested in. repo_sync `python list-packages.py` # Now scrape symbols out of anything that was downloaded. -mkdir symbols artifacts +mkdir symbols artifacts || true python PackageSymbolDumper.py --tracking-file=/home/worker/processed-package...
bash
d_bash_1401
--- +++ @@ -14,7 +14,7 @@ tar -xvf /tmp/mongodb.tgz mkdir -p ${DATA_DIR} echo "Starting MongoDB v${MONGODB}" -${PWD}/mongodb-linux-x86_64-${MONGODB}/bin/mongod --dbpath ${DATA_DIR} --bind_ip 127.0.0.1 &> /tmp/mongodb.log & +${PWD}/mongodb-linux-x86_64-${MONGODB}/bin/mongod --nojournal --dbpath ${DATA_DIR} --bind_i...
bash
d_bash_1402
--- +++ @@ -1,4 +1,4 @@ -#!/bin/bash +#!/bin/sh # export PATH=/Library/Developer/Toolchains/swift-latest.xctoolchain/usr/bin:"${PATH}" swift build -Xlinker -L/usr/local/lib -Xcc -I/usr/local/include/glib-2.0/ -Xcc -I/usr/local/include
bash
d_bash_1403
--- +++ @@ -7,3 +7,8 @@ if [ -e ~/perl5/bin/cpanm ]; then eval $(perl -I ~/perl5/lib/perl5/ -Mlocal::lib) fi + +# Enable local executables installed by Perl distributions. +if [ -d "$HOME/perl5/bin" ]; then + PATH="$HOME/perl5/bin:$PATH" +fi
bash
d_bash_1404
--- +++ @@ -28,6 +28,9 @@ cd tmp elm-test init --yes assertTestFailure TestRunner.elm +# delete the failing tests and the comma on the preceding line +ex -c 'g/should fail/' -c 'd' -c 'g-1' -c 's/,$//' -c 'wq' Tests.elm +assertTestSuccess TestRunner.elm cd .. rm -Rf tmp
bash
d_bash_1405
--- +++ @@ -1,7 +1,7 @@ #!/usr/bin/env bash # Install NVM for simple node.js version management -wget -qO- https://raw.githubusercontent.com/creationix/nvm/v0.33.2/install.sh | bash +wget -qO- https://raw.githubusercontent.com/creationix/nvm/v0.33.11/install.sh | bash # This enables NVM without a logout/login ...
bash
d_bash_1406
--- +++ @@ -1,9 +1,16 @@ alias be="bundle exec" -alias bi="bundle install" alias bl="bundle list" alias bp="bundle package" alias bo="bundle open" alias bu="bundle update" + +if [[ "$(uname)" == 'Darwin' ]] +then + local cores_num="$(sysctl hw.ncpu | awk '{print $2}')" +else + local cores_num="$(nproc)" +fi +e...
bash
d_bash_1407
--- +++ @@ -8,8 +8,8 @@ local sw_dir="$base/tmp" if [ ! -d "$sw_dir" ]; then mkdir -p "$sw_dir" - git clone https://github.com/spotify/luigi.git "$sw_dir/luigi" - git clone https://github.com/benjaminp/six.git "$sw_dir/six" + git clone --depth 1 https://github.com/spotify/luigi...
bash
d_bash_1408
--- +++ @@ -10,4 +10,4 @@ node_modules/webpack/bin/webpack.js -p # Create log directory -mkdir -m 777 logs +mkdir -p -m 777 logs
bash
d_bash_1409
--- +++ @@ -19,6 +19,7 @@ $1 else exec uwsgi --plugin http,python3 --master --http :8000 --need-app --wsgi-file deploy/wsgi.py \ - --static-map /static=/srv/smbackend/static --processes 4 --threads 1 \ + --static-map ${STATIC_URL:-/static}=${STATIC_ROOT:-/srv/smbackend/static} \...
bash
d_bash_1410
--- +++ @@ -2,6 +2,45 @@ set -e if [ "$1" = 'rabbitmq-server' ]; then + configs=( + # https://www.rabbitmq.com/configure.html + default_vhost + default_user + default_pass + ) + + haveConfig= + for conf in "${configs[@]}"; do + var="RABBITMQ_${conf^^}" + val="${!var}" + if [ "$val" ]; then + haveConfig=1...
bash
d_bash_1411
--- +++ @@ -13,17 +13,17 @@ if [ -e ~/Library/Application\ Support/Platypus ] then echo "Deleting application support folder..." > /dev/stderr - mv ~/Library/Application\ Support/Platypus ~/.Trash/PlatypusApplicationSupport-TRASHED + mv ~/Library/Application\ Support/Platypus ~/.Trash/PlatypusApplication...
bash
d_bash_1412
--- +++ @@ -4,7 +4,7 @@ elif test "${BUILD_TYPE}" = "Coverage"; then cmake . -DCMAKE_BUILD_TYPE=${BUILD_TYPE} -Dsal_docs=no -Dsal_bench=no cmake --build . - travis_wait cmake --build . --target gen-cov -- ARGS=--output-on-failure + travis_wait cmake --build . --target sal-cov -- ARGS=--output-on-failure els...
bash
d_bash_1413
--- +++ @@ -6,7 +6,7 @@ COPY ( SELECT promises.id, - body, + regexp_replace(body, E'[\\n\\r]+', ' ', 'g' ), source, promisor_type, concat(governments.name, parties.name) AS promisor,
bash
d_bash_1414
--- +++ @@ -5,9 +5,15 @@ git pull origin master; function syncIt() { - list=`find dotfiles -maxdepth 1 -mindepth 1`; + dirs=`find dotfiles -maxdepth 1 -mindepth 1 -type d`; - for f in $list + for d in $dirs + do + cp -r $d/. ~/.$(basename $d) + done + + files=`find dotfiles -maxdepth 1 -mindepth 1 -ty...
bash
d_bash_1415
--- +++ @@ -3,3 +3,4 @@ alias shenv='sshpass -p "devpass" ssh dev@commerce.mesh.mx.local' alias startenv='VBoxManage startvm platform-dev --type headless; shenv' alias stopenv='VboxManage controlvm platform-dev acpipowerbutton' +alias mdp='open -a /Applications/Marked\ 2.app'
bash
d_bash_1416
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash -PID_LIST=`ps -efo comm,pid,args | grep haproxy.cfg | grep -v grep | awk '{print $2}'` +PID_LIST=`ps -eo comm,pid,args | grep haproxy.cfg | grep -v grep | awk '{print $2}'` FINAL_PID=`echo $PID_LIST | sed -E 's/haproxy//g'` kill -9 $FINAL_PID exit 0
bash
d_bash_1417
--- +++ @@ -22,7 +22,9 @@ buildMagmalib() { techo "" if shouldInstall -i $CONTRIB_DIR magmalib-$MAGMALIB_BLDRVERSION gpu; then - local magmalibtarball=`getPkg "magmalib-$MAGMALIB_BLDRVERSION"` + # local magmalibtarball=`getPkg "magmalib-$MAGMALIB_BLDRVERSION"` + getPkg magmalib-$MAGMALIB_BLDRVERSION +...
bash
d_bash_1418
--- +++ @@ -2,11 +2,11 @@ export RUSTFLAGS="-C target-cpu=native" +cargo build --release +cargo test --release + rustfmt_installed=$(cargo install --list | grep rustfmt-nightly | wc -l) - if [ $rustfmt_installed -eq 0 ]; then cargo install rustfmt-nightly fi cargo fmt -- --write-mode=diff -cargo build -...
bash
d_bash_1419
--- +++ @@ -16,8 +16,9 @@ set -e BUILDIFIER_DIR="buildifier" -rm -rf ${BUILDIFIER_DIR} -git clone https://github.com/bazelbuild/buildifier.git ${BUILDIFIER_DIR} +mkdir ${BUILDIFIER_DIR} +curl -Ls https://github.com/bazelbuild/buildifier/archive/0.4.3.tar.gz | \ + tar -C "${BUILDIFIER_DIR}" --strip-components=1 -...
bash
d_bash_1420
--- +++ @@ -21,6 +21,10 @@ # Install kubelet ! go get -d k8s.io/kubernetes cd $GOPATH/src/k8s.io/kubernetes +if [ ${TRAVIS_BRANCH:-"master"} != "master" ]; then + # We can do this because cri-tools have the same branch name with kubernetes. + git checkout "${TRAVIS_BRANCH}" +fi make WHAT='cmd/kubelet' sudo cp ...
bash
d_bash_1421
--- +++ @@ -13,3 +13,8 @@ then eval `gdircolors $ZSH/system/dircolors-solarized/dircolors.ansi-dark` fi + +if $(ggrep &>/dev/null) +then + alias grep="ggrep --color" +fi
bash
d_bash_1422
--- +++ @@ -4,4 +4,4 @@ BUCKET=pumpedassets DIR=assets -aws s3 sync $DIR s3://$BUCKET/ --delete --acl public-read +aws s3 sync $DIR s3://$BUCKET/ --delete --acl public-read --cache-control max-age=300
bash
d_bash_1423
--- +++ @@ -10,6 +10,7 @@ make -C $CODE_HOME build_css # restart the webserver -service nginx restart +service apache2 restart +# setup this to run periodically crontab $CODE_HOME/crontab
bash
d_bash_1424
--- +++ @@ -12,8 +12,8 @@ # Use vim as the editor export EDITOR=vim -# Use emacs mode in vim -bindkey -e +# Use vim style line editing in zsh +bindkey -v # Use incremental search bindkey "^R" history-incremental-search-backward
bash
d_bash_1425
--- +++ @@ -4,7 +4,7 @@ set +x -gem update --system 3.0.2 +gem update --system 3.0.3 gem install bundler --version 2.0.1 --force bundle install --jobs 3 --retry 3
bash
d_bash_1426
--- +++ @@ -16,7 +16,7 @@ # set -x # This should use the real ESAPI.properties in $esapi_resources that does # not yet have Encryptor.MasterKey and Encryptor.MasterSalt yet set. -java -Dlog4j.configuration="$log4j_properties" \ +java -Dlog4j.configuration="file:$log4j_properties" \ -Dorg.owasp.esapi.resource...
bash
d_bash_1427
--- +++ @@ -16,12 +16,12 @@ stack_name="aws-cpi-stack" stack_info=$(get_stack_info $stack_name) -BOSH_AWS_ACCESS_KEY_ID=${aws_access_key_id} -BOSH_AWS_SECRET_ACCESS_KEY=${aws_secret_access_key} -BOSH_AWS_DEFAULT_KEY_NAME='bats' -BOSH_AWS_SUBNET_ID=$(get_stack_info_of "${stack_info}" "lifecyclesubnetid") -BOSH_AWS...
bash
d_bash_1428
--- +++ @@ -2,4 +2,4 @@ # For convenience you can pass --verbose here and it will be forwarded to the repl node dev-resources/private/node/compiled/nodejs-repl.js $1 \ - dev-resources/private/test/src/cljs:dev-resources/private/test/src/clj + dev-resources/private/node/compiled/out:dev-resources/private/t...
bash
d_bash_1429
--- +++ @@ -7,6 +7,7 @@ # Install essential macOS apps via Cask (in order of essentiality) install_cask google-chrome +install_cask brave-browser install_cask sync install_cask alfred install_cask atom
bash
d_bash_1430
--- +++ @@ -14,10 +14,6 @@ fi } -cp_or_diff ackrc ~/.ackrc - rsync -av --exclude '.git' emacs.d/ ~/.emacs.d/ -if [ ! -f ~/.gitconfig ]; then - cp gitconfig ~/.gitconfig -fi +cp_or_diff gitconfig ~/.gitconfig
bash
d_bash_1431
--- +++ @@ -19,7 +19,7 @@ STOREDIP=$(cat $STOREDIPFILE) if [ "$NEWIP" != "$STOREDIP" ]; then - RESULT=$(wget -O "$LOGFILE" -q --user-agent="$USERAGENT" --no-check-certificate "https://$USERNAME:$PASSWORD@dynupdate.no-ip.com/nic/update?hostname=$HOST&myip=$NEWIP") + RESULT=$(wget -O - -q --user-agent="$USERAGENT" ...
bash
d_bash_1432
--- +++ @@ -7,3 +7,31 @@ # The contents of this script are derived from the installation guide provided # by https://wiki.archlinux.de/title/Anleitung_f%C3%BCr_Einsteiger # + +## Use correct keyboard layout for my German laptop in case of user interaction +loadskeys /usr/share/kbd/keymaps/i386/qwertz/de-mobii.map....
bash
d_bash_1433
--- +++ @@ -4,12 +4,14 @@ # superfind.sh - convenience script for GNU find package # # Usage -# ./superfind.sh <dir> <filename> +# ./superfind.sh [dir] <filename> # -if [ $1 ]; then - find $1 -iname $2 -printf '%p\n' +if [ $# -gt 1 ]; then + find $1 -iname \*$2\* -printf '%p\n' +elif [[ $# -gt 0 ]]; the...
bash
d_bash_1434
--- +++ @@ -4,7 +4,7 @@ xcodebuild -workspace Hammerspoon.xcworkspace -scheme Release test-without-building 2>&1 | tee artifacts/test.log | xcpretty -r junit -f `xcpretty-actions-formatter` -RESULT=$(grep -A1 "Test Suite 'All tests'" test.log | tail -1 | sed -e 's/^[ ]+//') +RESULT=$(grep -A1 "Test Suite 'All te...
bash
d_bash_1435
--- +++ @@ -10,27 +10,27 @@ # zaproxy cd zaproxy git fetch upstream -git rebase upstream/develop -git push origin develop +git checkout -B develop upstream/develop +git push origin develop --force cd .. # zap-extensions cd zap-extensions git fetch upstream -git rebase upstream/master -git push origin master ...
bash
d_bash_1436
--- +++ @@ -21,7 +21,7 @@ stop) echo "Stopping Alexa.." - pkill -SIGINT ^main.py$ + pkill -f AlexaPi\/main\.py ;; restart|force-reload)
bash
d_bash_1437
--- +++ @@ -7,7 +7,7 @@ if which uconv > /dev/null then - CMD="uconv -f utf8 -t utf8 -x Any-NFKC --callback skip" + CMD="uconv -f utf8 -t utf8 -x Any-NFKC --callback skip --remove-signature" else echo "Cannot find ICU uconv (http://site.icu-project.org/) ... falling back to iconv. Normalization NOT taking p...
bash
d_bash_1438
--- +++ @@ -3,11 +3,17 @@ scriptDir=$(cd $(dirname $0); pwd) # works on mac osx too rootDir=$scriptDir/.. -# NOTE: This script requires ducttape to be in PATH -# (see Makefile) +# Allow user to specify which ducttape directory to test so that we can test the packaged distribution on Travis +if (( $# > 1 )); then ...
bash
d_bash_1439
--- +++ @@ -4,25 +4,25 @@ echo ELEKTRA CHECK FORMATTING echo -command -v git >/dev/null 2>&1 || { echo "git command needed for this test, aborting" >&2; exit 0; } +command -v git > /dev/null 2>&1 || { + echo "git command needed for this test, aborting" >&2 + exit 0 +} cd "@CMAKE_SOURCE_DIR@" -if ! git diff -...
bash
d_bash_1440
--- +++ @@ -1,5 +1,3 @@ #!/bin/bash -#source /usr/local/bin/virtualenvwrapper.sh -#workon nextbus coverage run --source='.' manage.py test coverage html
bash
d_bash_1441
--- +++ @@ -7,7 +7,7 @@ JS_LIB_DIR=$LETTUCE_FIXTURES_DIR/jasmine/lib JSCOVER_DIR=$LETTUCE_FIXTURES_DIR/jscover -JSCOVER_URL=http://iweb.dl.sourceforge.net/project/jscover/JSCover-1.0.2.zip +JSCOVER_URL=http://superb-dca2.dl.sourceforge.net/project/jscover/JSCover-1.0.2.zip JQUERY_URL=http://code.jquery.com/jquer...
bash
d_bash_1442
--- +++ @@ -13,6 +13,14 @@ #trap killServer EXIT gulp test-sauce & +saucePid=$! #./node_modules/.bin/protractor protractor.travis.conf.js & + +while [ ! -f /tmp/waiting.debug ]; do + echo "waiting for $saucePid" + ps -efl | grep gulp + sleep 5 +done wait %1 +touch /tmp/waiting.debug gulp publish-coverage
bash
d_bash_1443
--- +++ @@ -8,8 +8,8 @@ fi echo "Copying plugins..." +rm -rf ${JENKINS_HOME}/plugins mkdir -p ${JENKINS_HOME}/plugins -rm -rf ${JENKINS_HOME}/plugins/* cp ${JENKINS_PLUGINS_HOME}/* ${JENKINS_HOME}/plugins || : exec "$@"
bash
d_bash_1444
--- +++ @@ -11,6 +11,7 @@ su postgres -c psql <<EOL create role docker superuser createdb password '${PASSWORD}' login; create database docker WITH ENCODING 'UTF8' owner docker TEMPLATE=template0; +SET client_encoding = 'UTF8'; EOL su postgres -c psql <<EOL
bash
d_bash_1445
--- +++ @@ -3,3 +3,4 @@ # alias bat="ssh programacao3.jadcargas.com.br -X -C bat" +alias rs='rspec'
bash
d_bash_1446
--- +++ @@ -1,6 +1,8 @@ # put plugin configurations here -ZSH_TMUX_AUTOSTART=true +ZSH_TMUX_AUTOSTART=false ZSH_TMUX_ITERM2=false +# sometimes TMPDIR is set to a certain value, so disable this +unset TMPDIR source $ZSH/plugins/git.zsh source $ZSH/plugins/history-substring-search.zsh
bash
d_bash_1447
--- +++ @@ -1,4 +1,4 @@ #! /usr/bin/env bash -$EXTRACTRC `find . -name \*.ui -o -name \*.rc` > rc.cpp +$EXTRACTRC `find . -name \*.ui -o -name \*.rc` >> rc.cpp $XGETTEXT `find . -name \*.cpp -o -name \*.h` rc.cpp -o $podir/kopete-cryptography.pot rm -f rc.cpp
bash
d_bash_1448
--- +++ @@ -8,3 +8,24 @@ alias http='python -m SimpleHTTPServer' fi +function pyedit() { + about 'opens python module in your EDITOR' + param '1: python module to open' + example '$ pyedit requests' + group 'python' + + xpyc=`python -c "import sys; stdout = sys.stdout; sys.stdout = sys.stderr; im...
bash
d_bash_1449
--- +++ @@ -11,7 +11,7 @@ cvs update -P -$repocleanhome/repoclean.sh ~/components/maven-meeper/src/bin/repoclean/java.net/synchronize.properties +$repocleanhome/repoclean.sh ~/components/maven-meeper/src/bin/m1-m2-conversion/java.net/synchronize.properties rsync --ignore-existing -rvpl $dir/$src/ $dir/$dst/ >...
bash
d_bash_1450
--- +++ @@ -4,6 +4,10 @@ mkdir build cd build cmake -DCMAKE_CXX_COMPILER=$COMPILER .. +elif [ "$TRAVIS_OS_NAME" == "osx" ]; then + mkdir build + cd build + cmake .. fi make
bash
d_bash_1451
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash # TODO detect that the certificate got changed and restart apache -letsencrypt-renewer --config-dir /etc/letsencrypt/ +certbot renew
bash
d_bash_1452
--- +++ @@ -6,7 +6,7 @@ ########################################################### apt-get update -apt-get install --no-install-recommends -y ca-certificates net-tools libxml2-utils git curl libudev1 libxml2-utils iptables iproute2 jq +apt-get install --no-install-recommends -y ca-certificates net-tools libxml2-...
bash
d_bash_1453
--- +++ @@ -3,7 +3,7 @@ # rm -r public Rscript -e 'renv::restore()' -Rscript -e 'blogdown::install_hugo(force = TRUE)' +Rscript -e 'blogdown::install_hugo(version = "0.65.3")' Rscript -e 'blogdown::build_site()' #echo "----------------"
bash
d_bash_1454
--- +++ @@ -8,4 +8,4 @@ cp ~/themes/vim-airline/onedark.vim ~/.vim/bundle/vim-airline-themes/autoload/airline/themes/onedark.vim # Compile YouCompleteMe plugin -~/.vim/bundle/YouCompleteMe/install.py --cland-completer --tern-completer +~/.vim/bundle/YouCompleteMe/install.py --clang-completer --tern-completer
bash
d_bash_1455
--- +++ @@ -8,10 +8,10 @@ PYTHON_BIN="python2.5" ## The name of your logfile. -LOGNAME="evennia.log" +LOGNAME="logs/evennia.log" ## Where to put the last log file from the game's last running ## on next startup. -LOGNAME_OLD="evennia.log.old" +LOGNAME_OLD="logs/evennia.log.old" mv $LOGNAME $LOGNAME_OLD ## T...
bash
d_bash_1456
--- +++ @@ -1,14 +1,12 @@ #!/bin/bash -eu if [ $# -eq 0 ] ; then img="kube-master" - disk="kube-master-disk.img" data="" state="kube-master-state" elif [ $# -gt 1 ] ; then img="kube-node" name="node-${1}" shift - disk="kube-${name}-disk.img" data="${*}" state="kube-${n...
bash
d_bash_1457
--- +++ @@ -12,6 +12,7 @@ export APP_PORT="80" export BUILD_TAG="$TRAVIS_TAG" +touch .env docker-compose build
bash
d_bash_1458
--- +++ @@ -18,5 +18,5 @@ if [ $PERSONAL -eq 0 ]; then brew cask install dropbox else - brew cask install firefox microsoft-teams parallels@13 paw powershell sketch + brew cask install firefox microsoft-teams parallels paw powershell sketch fi
bash
d_bash_1459
--- +++ @@ -16,7 +16,7 @@ export ANDROID_API_LEVEL=28 export ANDROID_BUILD_TOOLS_VERSION=28.0.3 -export ANDROID_NDK_VERSION=21.1.6352462 +export ANDROID_NDK_VERSION=22.1.7171670 export ANDROID_TOOLS_URL=https://dl.google.com/android/repository/commandlinetools-linux-6609375_latest.zip export ANDROID_HOME="${DEP...
bash
d_bash_1460
--- +++ @@ -19,4 +19,4 @@ matchbox-window-manager -use_titlebar no -use_cursor no & # Start the browser (See http://peter.sh/experiments/chromium-command-line-switches/) -chromium --app=http://google.com +chromium --app=http://localhost/#dashboard
bash
d_bash_1461
--- +++ @@ -1,5 +1,7 @@ brew tap dartsim/dart brew tap homebrew/science + +brew update brew install git # brew install cmake # installed cmake-3.0.2
bash
d_bash_1462
--- +++ @@ -2,7 +2,7 @@ # Per http://adam.younglogic.com/2015/05/rdo-v3-only/ # Add identity API v3 settings to Horizon config -grep -q OPENSTACK_API_VERSIONS /etc/openstack/dashboard/local_settings || echo " +grep -q ^OPENSTACK_API_VERSIONS /etc/openstack/dashboard/local_settings || echo " OPENSTACK_API_VERSION...
bash
d_bash_1463
--- +++ @@ -21,8 +21,6 @@ echo "$(date) - $(hostname)" -set -e - echo "FLAKE8 tests" echo "~~~~~~~~~~~~" find . -iname "*.py" | grep -v .tox | xargs flake8
bash
d_bash_1464
--- +++ @@ -7,24 +7,14 @@ REDMINE_VOLUME=${REDMINE_VOLUME:-redmine-volume} GERRIT_VOLUME=${GERRIT_VOLUME:-gerrit-volume} -REDMINE_SYS_DATA_SQL=redmine-init-system.sql -REDMINE_DEMO_DATA_SQL=redmine-init-demo.sql -INIT_DATE=`date +%Y-%m-%d\ %H:%M:%S.%N|cut -c 1-26` - # Stop and remove redmine container. docker s...
bash
d_bash_1465
--- +++ @@ -22,8 +22,8 @@ git config user.name "Git Good Commit Tests" echo "Foo bar" > my_file git add my_file - mkdir -p ./.git/hooks - cp "$BASE_DIR/hook.sh" ./.git/hooks/commit-msg + mkdir -p .git/hooks + cp "$BASE_DIR/hook.sh" .git/hooks/commit-msg } teardown() {
bash
d_bash_1466
--- +++ @@ -8,3 +8,8 @@ fi fi +# Clear the console on exit if this is not a nested shell session +if [ "$SHLVL" = 1 ]; then + [ -x /usr/bin/clear_console ] && /usr/bin/clear_console -q +fi +
bash
d_bash_1467
--- +++ @@ -1,16 +1,48 @@ #!/bin/bash +set -eo pipefail -cat <<EOF -Appologies, but you are on your own. +readonly SCRIPT_DIR=$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd) -TeamCity has a manual setup process, amongst that a license agreement you need to accept. +readonly BUILDVIZ_PORT=3333 +readonly BUILDVIZ_...
bash
d_bash_1468
--- +++ @@ -17,6 +17,7 @@ npm --no-git-tag-version --allow-same-version -f version $OVERRIDE_VERSION npm run build && - echo "sed -i 's/process.env.FIREBASE_FRAMEWORKS_TARBALL/undefined/' ./dist/index.js && + echo "npm --no-git-tag-version --allow-same-version -f version $OVERRIDE_VERSION && + sed -i 's/...
bash
d_bash_1469
--- +++ @@ -1,3 +1,5 @@ +#!/bin/sh + sleep 5 if curl http://localhost:3000 | grep -q '<app-root></app-root>'; then echo -e "\e[42mSmoke test passed!\e[0m"
bash
d_bash_1470
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh git submodule update --init --recursive autoreconf --install -(cd libtexpdf; autoreconf) +(cd libtexpdf; autoreconf; aclocal -Im4; autoreconf) sed 's/rm -f core/rm -f/' configure > config.cache mv config.cache configure chmod +x configure
bash
d_bash_1471
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash export PATH=vendor/bin:$PATH DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd ) if [[ $# -eq 1 ]]
bash
d_bash_1472
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -VERSION=0.4.8 +VERSION=0.4.9 TMPDIR=/tmp/google-api-php-client RELFILE=/tmp/google-api-php-client-${VERSION}.tar.gz
bash
d_bash_1473
--- +++ @@ -2,7 +2,7 @@ git submodule init && git submodule update cp .zshrc ~/.zshrc -ln -s $(pwd)/oh-my-zsh ~/.oh-my-zsh +cp -r $(pwd)/oh-my-zsh ~/.oh-my-zsh cp mattboll.zsh-theme ~/.oh-my-zsh/themes mkdir -p ~/.oh-my-zsh/custom/plugins/k cp k/k.sh ~/.oh-my-zsh/custom/plugins/k/k.plugin.zsh
bash
d_bash_1474
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -for i in [0-9]*.sh +for i in $(find -name "[0-9]*.sh" | xargs basename -n1 | sort -n) do date +"[%Y-%m-%dT%H:%M:%S] Started script '$i'" | tee --append run.log ./"$i" 2> "$i".err | tee "$i".log
bash
d_bash_1475
--- +++ @@ -39,4 +39,4 @@ --arg version "$VNAME" \ '{name:$name, pkg:$pkg, apk:$apk, lang:$lang, code:$code, version:$version}' -done | jq -sr '[.[]]' > index.json +done | jq -scr '[.[]]' > index.json
bash
d_bash_1476
--- +++ @@ -8,8 +8,13 @@ TIMEZONE=${TIMEZONE:-Asia/Shanghai} # Stop and delete jenkins container. -docker stop ${JENKINS_NAME} -docker rm ${JENKINS_NAME} +if [ -z "$(docker ps -a | grep ${JENKINS_VOLUME})" ]; then + echo "${JENKINS_VOLUME} does not exist." + exit 1 +elif [ -n "$(docker ps -a | grep ${JENKINS_NA...
bash
d_bash_1477
--- +++ @@ -6,7 +6,7 @@ if [ ! -e "composer.phar" ]; then # Download composer.phar - curl -sS http://getcomposer.org/installer | php -d detect_unicode=Off + curl -sS https://getcomposer.org/installer | php -d detect_unicode=Off fi
bash
d_bash_1478
--- +++ @@ -1,4 +1,4 @@ -#!run in git bash +#! /bin/bash cd admin-portal-ui/server; mvn clean package -Pdocker docker:build; cd -; cd discovery-server/discovery-server; mvn clean package docker:build; cd -;
bash
d_bash_1479
--- +++ @@ -4,17 +4,17 @@ GIT_BRANCH=${GIT_BRANCH:-master} echo '+++ Welcome to node-from-git' -echo '+++ GIT_URL ' $GIT_URL -echo '+++ GIT_BRANCH ' $GIT_BRANCH -if [ ! -z "$GIT_SSH_KEY" ] +echo '+++ GIT_URL ' $GIT_URL +echo '+++ GIT_BRANCH ' $GIT_BRANCH +if [ ! -z "$GIT_SSH_KEY_BASE64" ] ...
bash
d_bash_1480
--- +++ @@ -36,7 +36,7 @@ echo "$dst exists" else #create new project - mkdir -- "$dst" || exit 1 + mkdir -p -- "$dst" || exit 1 #success message echo "Created Directory: $dst"
bash
d_bash_1481
--- +++ @@ -8,6 +8,6 @@ # while stumpwm is still running while kill -0 "$stump_pid" > /dev/null 2>&1; do - /sbin/sysctl -n hw.acpi.battery.state hw.acpi.battery.life | tr '\n' ' ' + sysctl -n hw.acpi.battery.state hw.acpi.battery.life | paste -s -d ' ' - sleep "$interval" done
bash
d_bash_1482
--- +++ @@ -9,7 +9,7 @@ if [ ! -f "$RESTIC_REPOSITORY/config" ]; then echo "Restic repository does not exists. Running restic init." - restic init + restic init | true fi echo "Setup backup cron job with cron expression: ${BACKUP_CRON}"
bash
d_bash_1483
--- +++ @@ -26,7 +26,7 @@ kube::golang::verify_go_version cd "${KUBE_ROOT}" -if git --no-pager grep -E $'^(import |\t)[a-z]+[A-Z_][a-zA-Z]* "[^"]+"$' -- '**/*.go' ':(exclude)vendor/*' ':(exclude)**.*.pb.go'; then +if git --no-pager grep -E $'^(import |\t)[a-z]+[A-Z_][a-zA-Z]* "[^"]+"$' -- '**/*.go' ':(exclude)ven...
bash
d_bash_1484
--- +++ @@ -1,11 +1,11 @@ #!/bin/sh RBENV_VERSION=trunk-modified ruby extconf.rb -mkae clean; make +make clean; make RBENV_VERSION=trunk-modified ruby -I lib -I. sample/sgetest.rb RBENV_VERSION=trunk-modified ruby extconf.rb --enable-imported-sge -mkae clean; make +make clean; make RBENV_VERSION=trunk-modifi...
bash
d_bash_1485
--- +++ @@ -7,16 +7,6 @@ elif [[ -d "$HOME/.composer/vendor/bin" ]]; then PATH="$HOME/.composer/vendor/bin:$PATH" fi -fi - -# Homebrew Ruby -if [ -e /usr/local/opt/ruby/bin/ruby ]; then - PATH="/usr/local/opt/ruby/bin:$PATH" -fi - -# Ruby gems -if dcheck ruby && dcheck gem; then - PATH="$(ruby -e 'puts G...
bash
d_bash_1486
--- +++ @@ -12,6 +12,7 @@ # reset to clean git reset --hard # remove untracked files -git clean -fdx +git clean -fd git checkout develop output/ +git mv -f output/* . git commit -m "$message"
bash
d_bash_1487
--- +++ @@ -8,20 +8,24 @@ set -x current_version=`python setup.py --version` -if [[ "$TRAVIS_BRANCH" == "master" && "$TRAVIS_PULL_REQUEST" != false ]] + +if ! git diff-index --quiet master openfisca_france then - if git rev-parse $current_version + if [[ "$TRAVIS_BRANCH" == "master" && "$TRAVIS_PULL_REQUES...
bash
d_bash_1488
--- +++ @@ -15,7 +15,7 @@ http://php.net/get/php-5.6.31.tar.bz2/from/this/mirror http://php.net/get/php-7.0.21.tar.bz2/from/this/mirror http://php.net/get/php-7.1.7.tar.bz2/from/this/mirror - https://downloads.php.net/~pollita/php-7.2.0beta3.tar.bz2 + https://downloads.php.net/~remi/php-7.2.0beta3.tar.bz2 ...
bash
d_bash_1489
--- +++ @@ -5,4 +5,13 @@ # Run unit tests. cd $DIR/../src/skeleton/ + +# Linting. +files_needing_linting=$(gofmt -l .) +if [[ $(gofmt -l .) ]] then + echo $files_needing_linting + echo "Resolve differences with go fmt." + exit 1 +fi + go test
bash
d_bash_1490
--- +++ @@ -29,10 +29,10 @@ dist/calicoctl profile $PROFILE rule show | grep "1 deny" # Test that adding and removing a tag works. -! (dist/calicoctl profile $PROFILE tag show | grep $TAG) +(! dist/calicoctl profile $PROFILE tag show | grep $TAG) dist/calicoctl profile $PROFILE tag add $TAG dist/calicoctl profi...
bash
d_bash_1491
--- +++ @@ -12,3 +12,4 @@ cp probin $1 cp ../../model_files/* $1/model_files/ cp ../../job_scripts/* $1/job_scripts/ +cp ../../inputs/* $1/inputs/
bash
d_bash_1492
--- +++ @@ -7,12 +7,6 @@ for path in "$@"; do : "$path" case $path in - "~+"|"~+"/*) - path=$PWD${path#"~+"} - ;; - "~-"|"~-"/*) - path=$OLDPWD${path#"~-"} - ;; "~"|"~"/*) path=${HOME-~}${path#"~"} ;; @@ -26,6 +20,12 @@ fi p...
bash
d_bash_1493
--- +++ @@ -1,18 +1,6 @@ # Source global definitions -if [ -f /etc/bashrc ]; then - . /etc/bashrc -fi -# if running bash -if [ -n "$BASH_VERSION" ]; then - # include .bashrc if it exists - if [ -f "$HOME/.bashrc" ]; then - . "$HOME/.bashrc" - fi -fi - -# set PATH so it includes user's private bin if it e...
bash
d_bash_1494
--- +++ @@ -6,6 +6,7 @@ 3.12.1) ppa=avsm/ocaml312+opam11 ;; 4.00.1) ppa=avsm/ocaml40+opam11 ;; 4.01.0) ppa=avsm/ocaml41+opam11 ;; + 4.02.0) ppa=avsm/ocaml42+opam11 ;; *) echo Unknown $OCAML_VERSION,$OPAM_VERSION; exit 1 ;; esac @@ -21,7 +22,9 @@ opam --version opam --git-version -opam in...
bash
d_bash_1495
--- +++ @@ -12,6 +12,6 @@ if [ ! -d ~/Documents/workspace/dotfiles ]; then mkdir -p Documents/workspace cd Documents/workspace - git clone git@github.com:cfgrok/dotfiles.git + git clone https://github.com/cfgrok/dotfiles echo 'primary' > ~/Documents/workspace/dotfiles/.playbook fi
bash
d_bash_1496
--- +++ @@ -17,7 +17,7 @@ fi echo -if [ -z "${NO_DEDUPE}" ]; then +if [ -z "${NO_APM_DEDUPE}" ]; then echo ">> Deduping apm dependencies" ./bin/npm dedupe else
bash
d_bash_1497
--- +++ @@ -9,6 +9,7 @@ $ZSH/bin $HOME/.yarn/bin $HOME/.cabal/bin + ./node_modules/.bin $path )
bash
d_bash_1498
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash [[ -e tt.sh ]] || { echo >&2 "Please cd into the script location before running it."; exit 1; } set -e -find . -name "*.tt" -print0 | xargs -0 -t -L 1 sh -c '(echo dotnet tt "$0" || exit 255)' +find . -name "*.tt" -print0 | xargs -0 -t -L 1 sh -c '(dotnet tt "$0" || exit...
bash
d_bash_1499
--- +++ @@ -3,7 +3,7 @@ cd go (hg pull && hg update -r tip) || exit 1 else - hg clone -r tip https://code.google.com/p/go go + hg clone -r tip https://code.google.com/p/go go || exit 1 cd go fi cd src
bash